<VirtualHost *:80>
    ServerName redir.lencraftserver.de

    DocumentRoot /var/www/datanet

    # Let's Encrypt Challenge
    Alias /.well-known/acme-challenge/ /var/www/datanet/.well-known/acme-challenge/
    <Directory "/var/www/datanet/.well-known/acme-challenge/">
        Options None
        AllowOverride None
        Require all granted
    </Directory>

    # Weiterleitung auf HTTPS, außer /.well-known/acme-challenge/
    RewriteEngine On
    RewriteCond %{REQUEST_URI} !^/.well-known/acme-challenge/
    RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<IfModule mod_ssl.c>
<VirtualHost *:443>
    ServerName redir.lencraftserver.de
    DocumentRoot /var/www/redir

    ErrorLog ${APACHE_LOG_DIR}/redir-error.log
    CustomLog ${APACHE_LOG_DIR}/redir-access.log combined

    <Directory /var/www/redir>
        Options Indexes FollowSymLinks
        AllowOverride All
        Require all granted
    </Directory>

    SSLEngine on
    SSLCertificateFile /etc/letsencrypt/live/redir.lencraftserver.de/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/redir.lencraftserver.de/privkey.pem
</VirtualHost>
</IfModule>
